List
curl --request GET \
--url https://api.qa.sima.ag/api/v3/third_party/device_events \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/device_events"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v3/third_party/device_events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/device_events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 34,
"observations": "Test Observation",
"date": "2025-07-01T09:30:58-03:00",
"device_id": 17,
"semaphore": 1,
"device_event_protocol_result_ids": [
118,
119,
120,
121
],
"suitable_for_scouting": true,
"localization": {
"geometry": "{\"type\":\"Polygon\",\"coordinates\":[[[-60.089164784458,-34.489185130275],[-60.076832772174,-34.498748477177],[-60.088291169086,-34.508474162058],[-60.092453957477,-34.505291335563],[-60.094685555378,-34.506988858153],[-60.101165772357,-34.501436416286],[-60.089164784458,-34.489185130275]]]}",
"latitude": -34.8839992,
"longitude": -60.014592
},
"created_at": "2025-07-01T09:31:03-03:00",
"modified_at": "2025-07-01T09:31:03-03:00",
"deleted_at": null,
"active": true
},
{
"id": 33,
"observations": "Test Observation",
"date": "2025-06-30T12:39:12-03:00",
"device_id": 17,
"semaphore": 1,
"device_event_protocol_result_ids": [
114,
115,
116,
117
],
"suitable_for_scouting": true,
"localization": {
"geometry": "{\"type\":\"Polygon\",\"coordinates\":[[[-60.089164784458,-34.489185130275],[-60.076832772174,-34.498748477177],[-60.088291169086,-34.508474162058],[-60.092453957477,-34.505291335563],[-60.094685555378,-34.506988858153],[-60.101165772357,-34.501436416286],[-60.089164784458,-34.489185130275]]]}",
"latitude": -34.8839992,
"longitude": -60.014592
},
"created_at": "2025-06-30T12:39:16-03:00",
"modified_at": "2025-06-30T12:39:16-03:00",
"deleted_at": null,
"active": true
}
],
"current_page": 1,
"next_page": 1,
"total_pages": 1,
"total_items": 2
}Version 3 > IOT > Device Event
List
GET
/
api
/
v3
/
third_party
/
device_events
List
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Response
200 - application/json
OK
The response is of type object.

